import { Inject, Provide } from '@midwayjs/core';
import { get, union } from 'lodash';
import { UserService } from './system/user.service';
import { Context } from '@midwayjs/koa';
import { AchievementService } from './platform/achievement.service';
import { ProjectService } from './platform/project.service';
import { DemandService } from './platform/demand.service';
import { SupplyService } from './platform/supply.service';
import { CompanyService } from './users/company.service';

/**
 * 工具类服务,为其他地方提供一些通用的函数
 */
@Provide()
export class UtilService {
  @Inject()
  ctx: Context;
  @Inject()
  userService: UserService;
  @Inject()
  achievementService: AchievementService;
  @Inject()
  projectService: ProjectService;
  @Inject()
  demandService: DemandService;
  @Inject()
  supplyService: SupplyService;
  @Inject()
  companyService: CompanyService;
}
